File libgpod.changes of Package libgpod

-------------------------------------------------------------------
Tue Feb  4 22:44:56 UTC 2020 - Bjørn Lie <bjorn.lie@gmail.com>

- No longer recommend -lang: supplements are in use.

-------------------------------------------------------------------
Tue Jan 14 15:46:40 UTC 2020 - Dominique Leuenberger <dimstar@opensuse.org>

- Disable python2 module: switch bcond_without python2 to _with
  python2.

-------------------------------------------------------------------
Mon Jun 11 21:30:41 UTC 2018 - bjorn.lie@gmail.com

- Change bcond_without mono to bcond_with mono, no longer build
  mono support/sub-package by default.

-------------------------------------------------------------------
Tue Jan 23 22:34:25 UTC 2018 - jengelh@inai.de

- Fix groups of SRPM and documentation. Make doc noarch.
  Trim bias from description.

-------------------------------------------------------------------
Tue Jan 23 12:46:52 UTC 2018 - tchvatal@suse.com

- Conditionalize python2 module build as it is not compatible with
  python3 at all and we do not need it by default
  * This allows to build in python3 only enviroment
- Run over a bit with spec-cleaner

-------------------------------------------------------------------
Fri Oct 23 07:00:50 UTC 2015 - tuukka.pasanen@ilmi.fi

- Added patch that prevents segfault when using newer iPod and iPhone (< iOS 5)
  0002-323-Segmentation-fault-when-opening-ipod.patch
  
- Added patch that corrects few strings
  0001-Fix-spelling-errors-in-comments-and-strings-using-co.patch
  
- Added patch that corrects compiling with newer libplist
  0003-Fixed-PList-deprication.patch

-------------------------------------------------------------------
Sun Jun 21 17:02:44 UTC 2015 - crrodriguez@opensuse.org

- Use libusb-1_0-devel as BuildRequires not libusb-devel 
  as the old libusb compatibility layer is not used.

-------------------------------------------------------------------
Tue Mar 24 21:13:25 UTC 2015 - dvlaeev@suse.com

- Change bcond back again.. It turned out to be that mono bindings
  are wanted by the openSUSE community.

-------------------------------------------------------------------
Fri Mar 20 15:54:57 UTC 2015 - dvlaeev@suse.com

- Build without Mono by default 

-------------------------------------------------------------------
Mon Jan 26 14:06:45 UTC 2015 - dimstar@opensuse.org

- Add libgpod-swig-3.0.patch: Fix build with SWIG 3.0.

-------------------------------------------------------------------
Sun Dec 22 15:07:31 UTC 2013 - zaitor@opensuse.org

- Update to version 0.8.3:
  + Add support for libimobiledevice 1.1.5.
  + Remove use of some deprecated glib functions.
  + Fix various issues found using clang/cppcheck.
  + Improve robustness of the iphone callout.
- Drop libgpod-libimobiledevice-fix.patch, fixed upstream.
- Stop passing --enable-udev to configure, now default enabled.
- Remove conditional BuildRequires for obsolete openSUSE versions
  (11.2 and older, no longer supported as evergreen either).
- Stop passing --with-hal-callouts-dir=%{_libexecdir}/hal and
  and --disable-udev only needed for obsolete openSUSE versions.

-------------------------------------------------------------------
Mon Jul 15 08:28:06 UTC 2013 - coolo@suse.com

- fix build in factory by porting to new libimobiledevice api

-------------------------------------------------------------------
Fri Mar 22 12:58:50 UTC 2013 - schwab@suse.de

- Move %{_libdir}/libgpod to sharp subpackage

-------------------------------------------------------------------
Tue Mar 19 22:39:50 UTC 2013 - dmueller@suse.com

- make mono dependency optional (still enabled by default) 

-------------------------------------------------------------------
Tue Nov 27 20:01:30 UTC 2012 - alinm.elena@gmail.com

- install the udev rules in /usr/lib/udev for factory and above 

-------------------------------------------------------------------
Thu Aug  4 17:37:10 UTC 2011 - chris@computersalat.de

- spec mods
  * add libsoname macro
  * one License info is enough ;)
- fix deps
  o doc pkg does not really need libgpod4

-------------------------------------------------------------------
Wed Jul 27 10:42:51 CEST 2011 - vuntz@opensuse.org

- Add baselibs.conf as source in .spec.

-------------------------------------------------------------------
Sun Jul 24 15:26:19 CEST 2011 - vuntz@opensuse.org

- Update to version 0.8.2:
  + Fix mono binding on 32 bit systems
  + Better iOS 4.3 support
  + Dynamic loader for libhashab.so, which can be used for
    iPhone 4/iPod Touch 4/iPad/Nano 6g support
  + Make smartplaylists case-insensitive to match what iTunes does
  + More robust Shuffle support in udev helper
  + Various compilation fixes and build system improvements
  + Bug fixes
  + Updated translations.
- Drop fix-mono-alignment.patch: fixed upstream.
- Move ownership of %{_libdir}/libgpod from libgpod-sharp to
  libgpod4, as it'll make it easier for people to manually copy
  libhashab.so there.

-------------------------------------------------------------------
Sun May  1 17:35:27 UTC 2011 - toddrme2178@gmail.com

- Added 32bit compatibility libraries

-------------------------------------------------------------------
Mon Apr  4 16:49:09 CDT 2011 - gburt@suse.de

- Fix Mono alignment issue causing broken C# bindings
  + Add fix-mono-alignment.patch

-------------------------------------------------------------------
Mon Mar 28 14:09:52 CDT 2011 - gburt@suse.de

- fix libgpod-sharp to depend on libgpod4 (bnc#683171)

-------------------------------------------------------------------
Wed Dec  8 20:45:28 UTC 2010 - cristian.rodriguez@opensuse.org

- disable silent rules, break post build checks
- fix -devel package dependencies 

-------------------------------------------------------------------
Wed Oct 13 09:47:42 CEST 2010 - vuntz@opensuse.org

- Update to version 0.8.0:
  + Shuffle 3g/4g bug fixes
  + Bug fixes related to the addition of the new ipod models
  + Silence some useless runtime warnings

-------------------------------------------------------------------
Fri Oct  8 10:37:07 CEST 2010 - vuntz@opensuse.org

- Make libgpod4 provide libgpod to make libgpod-lang installable.
- Change libgpod Requires to libgpod4 in libgpod-doc.
- Change supplements of libgpod-tools to reference libgpod4 too.

-------------------------------------------------------------------
Thu Sep 30 14:51:22 CDT 2010 - gburt@suse.de

- Don't require libimobiledevice on older distros

-------------------------------------------------------------------
Thu Sep 30 18:36:52 CEST 2010 - vuntz@opensuse.org

- Update to version 0.7.95:
  + Improvements to the generation of the sqlite databases (used by
    iOS devices), in particular improved playcounts handling.
  + Bug fixes and playlist support for mono bindings
  + Small itdb_start_sync/itdb_stop_sync behaviour change, now the
    calls need to be paired, but itdb_start_sync can be called N
    times, and the "Sync in Progress" screen will only go away
    after the Nth call to itdb_stop_sync
  + Be more smart when auto-guessing whether to use iPod_Control or
    iTunes_Control
  + Improve error handling in itdb_init and itdb_write, before that
    there were error cases that were not properly reported to the
    caller

-------------------------------------------------------------------
Sat Sep 11 20:00:38 CEST 2010 - vuntz@opensuse.org

- Add mono-devel and gtk-sharp2 BuildRequires to build .NET
  bindings.
- Create libgpod-sharp subpackage.
- Improve summaries and descriptions.
- Remove explicit glib2-devel and gtk2-devel Requires of devel
  package: they will automatically get added with the
  pkgconfig()-style Requires.
- Remove check for obsolete version of openSUSE (10.3).

-------------------------------------------------------------------
Tue Sep  7 08:04:30 UTC 2010 - coolo@novell.com

- fix requires of -devel package

-------------------------------------------------------------------
Wed Sep  1 15:54:21 CEST 2010 - vuntz@opensuse.org

- Update to version 0.7.94:
  + Shuffle 3g and 4g support
  + CLI bindings
  + artwork fixes
  + various bug fixes

-------------------------------------------------------------------
Wed Sep  1 07:37:32 UTC 2010 - aj@suse.de

- Change lang package Requires to Recommends since it is not
  mandatory at runtime.

-------------------------------------------------------------------
Fri May 28 00:42:31 CEST 2010 - vuntz@opensuse.org

- Add libimobiledevice-devel BuildRequires for iPod touch / iPhone
  support. This is fate#308282.

-------------------------------------------------------------------
Thu Apr  8 11:24:26 UTC 2010 - davejplater@gmail.com

- Update to version 0.7.93 changed 80-libgpod.rules to 90-libgpod.rules
  + various bug fixes in HAL/udev iPhone callout which would make it
    fail to dump SysInfoExtended more often than not.
  + fix iPod Classic 80GB support (Joeny Ang).
  + handle TV Shows, Movies and Music Videos on iPhone better
    (Joel Smith)
  + fix python bindings for the iPhone (Adrian Sampson).
  + fix OnTheGo playlist parsing (the 1st on-the-go playlist was
    always ignored).
  + automatically call itdb_shuffle_write when itdb_write is
    called if needed.
  + some gint32/guint32 changes were made in the public API, 
  + lower udev rule priority so that it runs after the usbmux
    udev rule.

-------------------------------------------------------------------
Sat Mar 27 16:13:08 CET 2010 - vuntz@opensuse.org

- Update to version 0.7.92:
  + make the temporary mountpoint used by the HAL/udev callouts
    configurable at compile time. This is helpful for distros who
    use SELinux to restrict what the callouts can do.
  + tag .mov files as video files
  + add itdb_start_sync and itdb_stop_sync functions to show/hide
    the "Sync in progress" screen on iPhones and iPod Touch (this
    is a no-op on other devices)
  + set udisks-compliant names for icons in the udev callout
    instead of using the old devicekit-disks names
  + prefix libgpod udev rule with a number (80-) since it's the
    usual way of naming rules
- Changes from version 0.7.91:
  + add udev callout, to replace the HAL one
  + fix playback order when sorting by composer
  + fix handling of nano5g with the latest firmware
  + various bug fixes
- Changes from version 0.7.90:
  + iPhoneOS 3.x support (iPhone and iPod Touch), thanks to the
    libimobiledevice stack
  + iPod Nano 5G support
  + iPod Classic 3G support
  + fix iPod Nano 4G 4GB serial number (bgo#599772)
  + properly read timezone information from iPod Classic and Nano 4G
  + artwork writing bug fixes
  + iTunesDB reading bug fixes
  + add code sample showing how to copy a file to the iPod
  + export podsleuth-like information to HAL
- Remove perl-XML-Parser, python-eyeD3 BuildRequires.
- Add glib2-devel, libplist-devel, libusb-devel, sqlite3-devel
  BuildRequires.
- Only build hal support on 11.2 and earlier, and use udev support
  instead on 11.3 and later.
- Rename libgpod-python to python-gpod, and add appropriate
  Provides/Obsoletes.
- Add py_requires to python-gpod.
- Clean up packaging.

-------------------------------------------------------------------
Mon Jul 27 17:24:41 CEST 2009 - coolo@novell.com

- do not exclude files not in other subpackages

-------------------------------------------------------------------
Sat Jul 25 15:38:10 CEST 2009 - tittiatcoke@gmail.com

- Update to version 0.7.2
  * fix crash when generating the album list when a track has a NULL album
  * prevent iTunes from thinking that the database on the iPhone is corrupt
  * fix nano3g/ipod classic artwork information
  * test if an iPod supports podcasts or not
  * test if an iPod support chapter images or not
  * add ipod time sync support using information from the rockbox project.
    It's still preliminary
  * Update translations
  * bug fixes and code cleanup all over the place

-------------------------------------------------------------------
Thu Jul 23 18:04:09 CEST 2009 - tittiatcoke@gmail.com

- Using variable for %{_libexecdir} to ensure the LSB standards

-------------------------------------------------------------------
Sun Jul 12 20:26:22 CEST 2009 - tittiatcoke@gmail.com

- Changed the configure option to ensure that all files are placed
  in the correct directories conform lsb standards

-------------------------------------------------------------------
Wed Jun  3 12:49:10 CEST 2009 - mszeredi@suse.cz

- Add gtk2-devel as a requirement for libgpod-devel.  This is needed
  to satisfy a pkg-config dependency on gdk-pixbuf-2.0

-------------------------------------------------------------------
Mon May 25 17:34:35 CEST 2009 - coolo@suse.de

- use %name-lang - otherwise the shared library policy is not
  working

-------------------------------------------------------------------
Fri Jan 30 14:44:00 CET 2009 - wstephenson@suse.de

- Rename library package to libgpod4
- Update to version 0.7.0
  * support for iPod Nano 4th generation
  * support for "sparse artwork" writing
  * jump table support
  * chapter data support
  * improved timezone handling
  * translation updates
  * much more complete API doc
  * simplification of the cover art handling API
  * extensive plist parser
  * add mapping from iPod serial numbers to iPod models
  * portability improvements to windows and macosx
  * reworked handling of artwork formats
  * python bindings are more consistent with other python container objects
  * bug fixes and code cleanup all over the place

-------------------------------------------------------------------
Wed Dec 17 14:44:54 CET 2008 - dmueller@suse.de

- fix build for 10.3

-------------------------------------------------------------------
Tue Dec 16 19:51:31 CET 2008 - coolo@suse.de

- require lang subpackage

-------------------------------------------------------------------
Tue Sep  9 14:11:07 CEST 2008 - hvogel@suse.de

- backport scsi fixes (just some missing headers) and downgrade 
  to official release again to not break gtkpod

-------------------------------------------------------------------
Mon Sep  1 13:07:18 CEST 2008 - crrodriguez@suse.de

- fix build by updating to an slightly newer snap 0.6.1+20080901. 

-------------------------------------------------------------------
Tue May 27 01:32:41 CEST 2008 - ro@suse.de

- buildreq sg3_utils-devel instead of scsi

-------------------------------------------------------------------
Thu Feb 14 11:43:00 CET 2008 - dmueller@suse.de

- libgpod3 is not a renamed package so remove the provides/obsoletes 

-------------------------------------------------------------------
Sat Feb  9 04:43:17 CET 2008 - crrodriguez@suse.de

- fix some more packaging errors.
- Remove uneeded dependencies in the -devel package, it only needs
  glib2-devel and glibc-devel (dependant packages may need changes)
- remove "la" files.

-------------------------------------------------------------------
Tue Jan 29 13:33:09 CET 2008 - hvogel@suse.de

- fix some specfile errors
- move nano support tools to tools subpackage which supplements
  the main package.

-------------------------------------------------------------------
Wed Jan 23 08:47:26 CET 2008 - dmueller@suse.de

- fix iPod nano support

-------------------------------------------------------------------
Wed Jan 16 13:32:13 CET 2008 - hvogel@suse.de

- Update to version 0.60
- Rename library package to libgpod3

-------------------------------------------------------------------
Wed Jul  4 14:22:54 CEST 2007 - hvogel@suse.de

- Update to version 0.5.2
  * namespace cleanup
  * updated translations
  * various fixes
  * New API functions to facilitate copying to the iPod in a
    background thread and implementation of own copying code
  * better sort order on the iPod when displaying
- renamed main package according to Shared Library Packaging Policy

-------------------------------------------------------------------
Tue Feb 13 11:50:51 CET 2007 - sbrabec@suse.cz

- Do not build unusable static libraries (#238552#c17).

-------------------------------------------------------------------
Thu Feb  1 12:32:50 CET 2007 - hvogel@suse.de

- Update to 0.42
- build python bindings

-------------------------------------------------------------------
Tue Dec 19 15:10:49 CET 2006 - sbrabec@suse.cz

- Spec file cleanup.
- Splitted libgpod-doc from libgpod-devel.

-------------------------------------------------------------------
Mon Oct 23 14:21:45 CEST 2006 - hvogel@suse.de

- Update to version 0.4.0
  * added definitions for new sixth generation
    iPod Videos, iPod Nanos and iPod Shuffle

-------------------------------------------------------------------
Sat Jul  1 22:55:36 CEST 2006 - cthiel@suse.de

- update to version 0.3.2
  * db-artwork-writer.c: increased IPOD_MMAP_SIZE from 2 to 16 MB as
    a temporary workaround until a propoer solution can be
    implemented.
  * db-itunes-parser.h: replaced the #pragma pack(4) with an
    'packed' attribute on _MhiiHeader only.
  * ipod-device.c: (ipod_device_set_property): fixed possible
    segfault when hald is present.
  * configure.ac, po/es.po: added Spanish translation catalog
  * libgpod-1.0.pc: added gobject-2.0 to 'Requires:' list
  * src/db-itunes-parser.h: add '#pragma pack(4)' to fix 64bit issue
    with padding (at least as a temporary fix).
  * src/ipod-device.c: added HP type color photo ipod 'S492'.
  * po/ja.po: updated Japanese catalog
  * src/ipod-device.c: (ipod_device_set_property): fixed bug that
    caused ipod-detection to fail if hal daemon was not running. As
    a consequence cover art was not written to the iPod.
  * src/itdb_itunesdb.c: (itunesstats_read) Fixed error when reading
    the Shuffle's stat file (0x18 was used as minimal record length
    instead of decimal '18').
  * src/itdb_itunesdb.c, src/itdb_playlist.c, src/ithumb-writer.c:
    removed nested-functions.
  * src/ipod-device.c: (ipod_device_set_property) check hal_context
    before accessing it to avoid segfault when hald is not running.
    (ipod_device_hal_initialize) fixed memory leak: 'error' was not
    freed if libhal_ctx_init() failed.
    (ipod_device_get_model_index_from_table): fix warning about
    unused computed value (thanks to Martin Aumueller)
  * src/ipod-device.c: don't ignore return value of
    fread/fwrite/ftell because of possible compiler warnings.

-------------------------------------------------------------------
Wed Jan 25 21:32:23 CET 2006 - mls@suse.de

- converted neededforbuild to BuildRequires

-------------------------------------------------------------------
Fri Jan 13 15:00:39 CET 2006 - hvogel@suse.de

- Update to version 0.3.0 

-------------------------------------------------------------------
Wed Nov 30 17:26:26 CET 2005 - sbrabec@suse.cz

- New SuSE package, version 0.2.0.